<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>bin\Debug\net5.0\OpenAuth.App.xml</DocumentationFile>
	  <NoWarn>1701;1702;1591;1573;1572;1570</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Model\**" />
    <EmbeddedResource Remove="Model\**" />
    <None Remove="Model\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Autofac" Version="7.0.1" />
    <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="8.0.0" />
    <PackageReference Include="Autofac.Extras.Quartz" Version="9.0.0" />
    <PackageReference Include="ce.autofac.extension" Version="6.0.2" />
    <PackageReference Include="ClosedXML" Version="0.102.2" />
    <PackageReference Include="Flurl.Http" Version="3.2.4" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="6.0.16" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.OpenIdConnect" Version="6.0.16" />
    <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="6.0.16" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR" Version="1.1.0" />
    <PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="8.0.6" />
    <PackageReference Include="Microsoft.Extensions.DependencyModel" Version="6.0.0" />
    <PackageReference Include="Microsoft.Extensions.Http" Version="6.0.0" />
    <PackageReference Include="Microsoft.Extensions.Logging.Log4Net.AspNetCore" Version="6.0.0" />
    <PackageReference Include="Microsoft.Extensions.Options.ConfigurationExtensions" Version="6.0.0" />
    <PackageReference Include="Microsoft.NET.Test.Sdk" Version="16.5.0" />
    <PackageReference Include="Moq" Version="4.13.1" />
    <PackageReference Include="Npgsql.NetTopologySuite" Version="5.0.7" />
    <PackageReference Include="NPOI" Version="2.5.6" />
    <PackageReference Include="NUnit" Version="3.13.1" />
    <PackageReference Include="NUnit3TestAdapter" Version="3.17.0" />
    <PackageReference Include="Quartz" Version="3.6.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Infrastructure\Infrastructure.csproj" />
    <ProjectReference Include="..\OpenAuth.Repository\OpenAuth.Repository.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="ServiceApp\BiddingAgencyManager\Response\" />
    <Folder Include="ServiceApp\BiddingCompanyManager\Response\" />
    <Folder Include="ServiceApp\BiddingInfoManager\Response\" />
  </ItemGroup>

</Project>
